
QGIS Application - Bug report #784

Qgis vector multipolygon crash, OS X

2007-10-23 04:56 PM - John Tull

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10843

Description

I have a crash when trying to stop editing and saving a shapefile in 0.9 trunk rev 7283. I have a polygon shapefile, I select a polygon from

another layer, paste it into the new vector and stop editing. With one polygon it saves with no issue. If I have multiple polygons in the

vector, it crashes and provides no output on the command line in OS X when run from the Terminal.

I use the frameworks from William Kyngsburye, run OS X 10.4.10.

History

#1 - 2007-10-25 07:05 PM - John Tull

I have tried with subsequent builds of qgis from trunk, but problem persists. This time I created a new shapefile and pasted, in one operation, multiple

polygons from another shapefile. The program crashed again after toggling editing and hitting save.

#2 - 2007-11-06 05:39 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:8e1c65e5 (SVN r7345).

#3 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted

2025-04-27 1/1


